HTML-Element

Sie können die Möglichkeiten des Website-Builders durch benutzerdefinierten HTML-Code erweitern. Mit diesem Widget können Sie benutzerdefinierten Code in Ihre Website einfügen. Außerdem können Sie damit Drittanbieter-Widgets wie z. B. Videos, Kontaktformulare und mehr einfügen.

Zwar können Sie die Funktionen Ihrer Website durch benutzerdefinierten Code erweitern, jedoch sollten Sie nur Code von vertrauenswürdigen Quellen hinzufügen. Fügen Sie nur Code hinzu, von dem Sie genau wissen, wozu er dient und wie eventuelle Fehlfunktionen behoben werden.

So fügen Sie das Widget hinzu:

  1. Klicken Sie in der linken Seitenleiste auf Widgets.
  2. Klicken Sie auf das Widget „HTML“ und ziehen Sie es auf Ihre Website.

Mehr zum Hinzufügen von Widgets zu Ihrer Website erfahren Sie unter Widgets hinzufügen.

Inhalts-Editor

Wenn Sie auf den Inhaltseditor zugreifen möchten, klicken Sie mit der rechten Maustaste auf das Widget und dann auf Inhalt bearbeiten.

Mit dem Widget „HTML“ können Sie benutzerdefinierten HTML-Code hinzufügen. Schreiben Sie den HTML-Code einfach in das entsprechende Textfeld oder fügen Sie ihn ein.

Wenn das Skript beim Navigieren zur Seite nicht ausgeführt wird, deaktivieren Sie AJAX-Seitenwechsel (Schnellnavigation) im Header-HTML.

Design-Editor

Wenn Sie auf den Designeditor zugreifen möchten, klicken Sie mit der rechten Maustaste auf das Widget und anschließend auf Design bearbeiten.

Informationen über Designoptionen, die nicht spezifisch für dieses Widget eingestellt werden (z. B. Layout, Stil oder Abstände), finden Sie unter Widget-Design.

Warnungen
  • **Wir können keine Fehlerbehebung für benutzerdefinierten Code durchführen! **
  • Serverseitige Skripte (wie z. B. PHP und ASP) sind in diesem Widget nicht wirksam. Es sollten ausschließlich clientseitige Skripte (wie z. B. JavaScript und HTML) verwendet werden.
  • Wir empfehlen, ein Backup Ihrer Website zu erstellen, bevor Sie benutzerdefinierten Code hinzufügen. So können Sie im Fall eines Fehlers zur vorherigen Version zurückkehren.
  • Der Editor verwendet HTTPS. Das Laden externer Nicht-HTTPS-Dateien durch Ihr Skript funktioniert daher nicht.
  • Unser System verwendet jQuery 2.1.1. Daher führt das Implementieren einer neuen Version der jQuery-Bibliothek normalerweise dazu, dass unser Editor nicht mehr funktioniert. Aus diesem Grund sollte der von Ihnen hinzugefügte benutzerdefinierte Code die Funktionen von jQuery 2.1.1 verwenden und es sollte nicht versucht werden, die Bibliothek neu zu initialisieren.
  • Wenn die Schnellnavigation aktiviert ist, werden Onload-Ereignisse möglicherweise nicht ordnungsgemäß konditioniert. Wenn Ihr Skript solche Ereignisse verwendet, sollten Sie die Schnellnavigation als ersten Schritt zur Fehlerbehebung deaktivieren.